Ubuntu16.04-安装PHP7.1

添加php7.1的仓库 sudo apt-get install -y software-properties-common sudo add-apt-repository ppa:ondrej/php 安装php7.1及其扩展 sudo apt-get update sudo apt-cache search php7.1 sudo apt-get install -y php7.1 php7.1-mysql php7.1-fpm…

Read more...

修改Linux系统(Ubuntu)中apt源地址

1、源地址列表文件路径 ubuntu系统的源列表配置文件的路径是:/etc/apt/ sources.list 为了在替换前留个备份,可以执行命令做个备份: cp  /etc/apt/sources.list   /etc/apt/sources.list-bak 2、源地址列表文件的替换 不同的版本,sources.list里…

Read more...

安装最新版nodejs和npm(源码安装)

之前用Ubuntu16.04,里面的node 和 npm 都是很老的稳定版,不能满足需求,apt 按装不了新的版本,试了些命令,还是有问题,最后还是去官网下源码包直接。而且也并不麻烦,只是编译的时候会花一些时间。

Read more...

Ubuntu 安装 PHP 扩展文件命令

1、搜索扩展 //以curl为例 sudo apt-cache search curl | grep php 2、找到适合的版本进行安装 //我是PHP7.0所以安装php7.0版本 sudo apt-get install php7.0-curl //备注:如果提示错误信息:dpkg was interrupted, you must manually run ‘dpk…

Read more...

ubuntu16.04安装或更新composer版本

  1.首先查看composer 官方网站 查看对应想安装的版本:https://getcomposer.org/download/ wget https://getcomposer.org/download/1.7.3/composer.phar mv composer.phar composer chmod +x composer ./composer –version 2.若Ubuntu …

Read more...

执行shell 脚本 报错“Syntax error: “(” unexpected 原因

通过 ./test.sh执行代码,报“Syntax error: “(” unexpected”错误,通过bash ./test.sh  执行就没问题。几经查找语法,没有问题,后来在网上找到问题原因:

Read more...